org.vishia.gral.awt

## Class AwtProperties

- java.lang.Object
- - org.vishia.gral.base.GralGridProperties
  - - org.vishia.gral.awt.AwtProperties

-     public class AwtProperties
      extends GralGridProperties

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Color` | `colorBackground` A common background color for all widgets which are paint at the background.
    `private java.awt.Color` | `colorBlack`
    `java.awt.Color` | `colorGrid`
    `java.awt.Color` | `colorGridStrong`
    `(package private) java.util.Map<java.lang.Integer,java.awt.Color>` | `colorsSwt`
    `java.awt.Font` | `smallPromptFont`
    `java.awt.Font` | `stdButtonFont`
    `java.awt.Font` | `stdInputFont`
    `java.awt.Font[]` | `textFontAwt`

    - ### Fields inherited from class org.vishia.gral.base.GralGridProperties

      `colorBackground_, fontMonospacedSansSerif, pixelFrac, size, smallPromptFontSize, stdButtonFontSize, stdInputFontSize, stdTextFontSize, textFont, version, xPixelUnit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwtProperties(char sizeC)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Color` | `colorAwt(GralColor color)` Returns a color with given Gui-independent color.
    `java.awt.Font` | `fontAwt(GralFont font)` Returns a implementation font with given Gui-independent font.

    - ### Methods inherited from class org.vishia.gral.base.GralGridProperties

      `color, getColorValue, getTextFont, getTextFont, xPixelFrac, xPixelUnit, yPixelFrac, yPixelUnit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### smallPromptFont

          public final java.awt.Font smallPromptFont

    - #### textFontAwt

          public final java.awt.Font[] textFontAwt

    - #### stdInputFont

          public final java.awt.Font stdInputFont

    - #### stdButtonFont

          public final java.awt.Font stdButtonFont

    - #### colorsSwt

          java.util.Map<java.lang.Integer,java.awt.Color> colorsSwt

    - #### colorBlack

          private final java.awt.Color colorBlack

    - #### colorGrid

          public final java.awt.Color colorGrid

    - #### colorGridStrong

          public final java.awt.Color colorGridStrong

    - #### colorBackground

          public java.awt.Color colorBackground

      A common background color for all widgets which are paint at the background.

  - ### Constructor Detail

    - #### AwtProperties

          public AwtProperties(char sizeC)

  - ### Method Detail

    - #### colorAwt

          public java.awt.Color colorAwt(GralColor color)

      Returns a color with given Gui-independent color. The SWT-Color instance is taken from a pool if the color is used already. Elsewhere it is created newly and put into the pool.
      Parameters:
        `color` - The given color in system-indpending form.
      Returns:
        An instance of SWT-color

    - #### fontAwt

          public java.awt.Font fontAwt(GralFont font)

      Returns a implementation font with given Gui-independent font. The SWT-Font instance is taken from a pool if the font is used already. Elsewhere it is created newly and put into the pool.
      Parameters:
        `forn` - The given Gral font in system-independent form.
      Returns:
        An instance of SWT-Font